APIs / Coches.net / Search
Coches.net: Search
Search from Coches.net as JSON. 1 credit per successful call.
GET /v1/coches-net/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Optional | Up to 255 characters |
make_id | integer | Optional | Any |
model_id | integer | Optional | Any |
province_id | integer | Optional | Any |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
mileage_min | integer | Optional | Any |
mileage_max | integer | Optional | Any |
year_min | integer | Optional | Any |
year_max | integer | Optional | Any |
fuel | integer | Optional | Any |
body_type | integer | Optional | Any |
transmission | integer | Optional | Any |
seller_type | integer | Optional | Any |
offer_type | integer | Optional | Any |
certified | string | Optional | true, false, 1, 0 |
has_photo | string | Optional | true, false, 1, 0 |
sort | string | Optional | Price, Year |
order | integer | Optional | 1, 2 |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/coches-net/search?make_id=7&province_id=28" \
-H "X-API-Key: $API_KEY"